org.opencv.features2d

## Class AgastFeatureDetector

- java.lang.Object
- - org.opencv.core.Algorithm
  - - org.opencv.features2d.Feature2D
    - - org.opencv.features2d.AgastFeatureDetector

-     public class AgastFeatureDetector
      extends Feature2D

  Wrapping class for feature detection using the AGAST method. :

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `AGAST_5_8`
    `static int` | `AGAST_7_12d`
    `static int` | `AGAST_7_12s`
    `static int` | `NONMAX_SUPPRESSION`
    `static int` | `OAST_9_16`
    `static int` | `THRESHOLD`

    - ### Fields inherited from class org.opencv.core.Algorithm

      `nativeObj`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `AgastFeatureDetector(long addr)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static AgastFeatureDetector` | `__fromPtr__(long addr)`
    `static AgastFeatureDetector` | `create()`
    `static AgastFeatureDetector` | `create(int threshold)`
    `static AgastFeatureDetector` | `create(int threshold, boolean nonmaxSuppression)`
    `static AgastFeatureDetector` | `create(int threshold, boolean nonmaxSuppression, int type)`
    `protected void` | `finalize()`
    `String` | `getDefaultName()` Returns the algorithm string identifier.
    `boolean` | `getNonmaxSuppression()`
    `int` | `getThreshold()`
    `int` | `getType()`
    `void` | `setNonmaxSuppression(boolean f)`
    `void` | `setThreshold(int threshold)`
    `void` | `setType(int type)`

    - ### Methods inherited from class org.opencv.features2d.Feature2D

      `compute, compute, defaultNorm, descriptorSize, descriptorType, detect, detect, detect, detect, detectAndCompute, detectAndCompute, empty, read, write`

    - ### Methods inherited from class org.opencv.core.Algorithm

      `clear, getNativeObjAddr, save`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### AGAST_5_8

          public static final int AGAST_5_8

      See Also:
        Constant Field Values

    - #### AGAST_7_12d

          public static final int AGAST_7_12d

      See Also:
        Constant Field Values

    - #### AGAST_7_12s

          public static final int AGAST_7_12s

      See Also:
        Constant Field Values

    - #### OAST_9_16

          public static final int OAST_9_16

      See Also:
        Constant Field Values

    - #### THRESHOLD

          public static final int THRESHOLD

      See Also:
        Constant Field Values

    - #### NONMAX_SUPPRESSION

          public static final int NONMAX_SUPPRESSION

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### AgastFeatureDetector

          protected AgastFeatureDetector(long addr)

  - ### Method Detail

    - #### __fromPtr__

          public static AgastFeatureDetector __fromPtr__(long addr)

    - #### create

          public static AgastFeatureDetector create(int threshold,
                                                    boolean nonmaxSuppression,
                                                    int type)

    - #### create

          public static AgastFeatureDetector create(int threshold,
                                                    boolean nonmaxSuppression)

    - #### create

          public static AgastFeatureDetector create(int threshold)

    - #### create

          public static AgastFeatureDetector create()

    - #### getDefaultName

          public String getDefaultName()

      Description copied from class: `Algorithm`
      Returns the algorithm string identifier. This string is used as top level xml/yml node tag when the object is saved to a file or string.
      Overrides:
        `getDefaultName` in class `Feature2D`
      Returns:
        automatically generated

    - #### getNonmaxSuppression

          public boolean getNonmaxSuppression()

    - #### getThreshold

          public int getThreshold()

    - #### getType

          public int getType()

    - #### setNonmaxSuppression

          public void setNonmaxSuppression(boolean f)

    - #### setThreshold

          public void setThreshold(int threshold)

    - #### setType

          public void setType(int type)

    - #### finalize

          protected void finalize()
                           throws Throwable

      Overrides:
        `finalize` in class `Feature2D`
      Throws:
        `Throwable`

Generated on Wed Oct 9 2019 16:55:37 UTC / OpenCV 3.4.8